# Fan Speed Slider Plugin

Add a slider to control the speed of a parts cooling fan.

![](./image/slider.JPG)

## Usage

Slide the slider, click the button. There really isn't much else to do :)

## Settings

* The default value of the slider is user configurable, this is the value that the slider will be set to upon loading OctoPrint's UI, and any time you refresh the page. 

* The minimum fan speed setting will limit how slow the fan runs, this is useful since some fans don't work below a certain speed.

* The maximum fan speed setting will limit how fast the fan runs, this is useful if your fan is too strong, or you wish to limit the speed post-slice without having to re-slice your file.

* Notification autohide delay controls how long any notifications will remain on the screen for. If the user manually sets a speed outside of the set range, a notification will be displayed informing the user the fan speed has been modified. Print jobs shouldn't trigger these notifications, and so popup spam shouldn't occur, however if a user wishes not to receive notifications when setting fan speeds outside of the set range, this value can be set to 0 (zero) to disable notifications. (this setting won't / shouldn't affect OctoPrint's global notifications, it only applies to info popups generated by this plugin).

*Note: Slider does __not__ follow the speed of the fan. If the fan speed is set via gcode or an LCD panel on the printer, the slider will not respond to the change. It is a __setting__, not an indicator, and functions the same way the feedrate and flowrate sliders do.*

## Setup

Install manually using this URL:

    https://github.com/ntoff/OctoPrint-fanspeedslider/archive/master.zip

